elementsoap with Python 2.5

Fredrik Lundh fredrik at pythonware.com
Wed Oct 11 08:16:27 CEST 2006


Steven Bethard wrote:

> I was trying to get elementsoap_ working with just xml.etree from Python 
> 2.5 (and no standalone elementtree installation).  I think I got 
> everything working by changing the imports and copying in the 
> FancyTreeBuilder class (since only TreeBuilder and XMLTreeBuilder are in 
> the xml.etree.ElementTree module).  I've attached the diff.  Does this 
> seem like the right approach?

the really correct approach would be to rewrite the code to use the 
"iterparse" API instead.

FancyTreeBuilder relies on various internals, but your copy-and-paste 
fix should work just fine for Python 2.5 and/or ElementTree 1.2.

</F>




More information about the Python-list mailing list